Panda3D

Public Member Functions | List of all members
ImageTransformColors Class Reference

This program can apply a 4x4 color transform to all of the colors in the pixels of a series of images. More...

`#include "imageTransformColors.h"`

Inheritance diagram for ImageTransformColors:

## Public Member Functions
void | run ()
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files. More...
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args(). More...
void | show_description ()
| Writes the program description to stderr. More...
void | show_options ()
| Describes each of the available options to stderr. More...
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width. More...
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width. More...
void | show_usage ()
| Writes the usage line(s) to stderr. More...
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options. More...

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Detailed Description

This program can apply a 4x4 color transform to all of the colors in the pixels of a series of images.

Definition at line 29 of file imageTransformColors.h.

The documentation for this class was generated from the following files:

- pandatool/src/imageprogs/imageTransformColors.h
- pandatool/src/imageprogs/imageTransformColors.cxx